document: modulemd
version: 2
data:
    stream: av
    summary: Virtualization module
    description: >-
        A virtualization module
    license:
        module:
            - MIT
    dependencies:
        - buildrequires:
            platform: [el8.6]
          requires:
            platform: [el8]
    profiles:
      common:
        rpms:
          - libvirt-daemon-kvm
          - libguestfs
          - libvirt-client
          - libvirt-daemon-config-network
    filter:
        rpms:
            - ocaml-hivex
            - ocaml-hivex-debuginfo
            - ocaml-hivex-devel
            - ocaml-libguestfs
            - ocaml-libguestfs-debuginfo
            - ocaml-libguestfs-devel
            - ocaml-libnbd
            - ocaml-libnbd-debuginfo
            - ocaml-libnbd-devel
            - qemu-kvm-tests
            - qemu-kvm-tests-debuginfo

    # SRPMs that are rebuilt and distributed as part of this module
    components:
      rpms:
        # qemu and qemu specific deps
        qemu-kvm:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            buildorder: 2
        libiscsi:
            rationale: qemu-kvm dep
            ref: stream-rhel-rhel-8.6.0
            buildorder: 1
        seabios:
            rationale: qemu-kvm dep
            ref: stream-rhel-rhel-8.6.0
            arches: [x86_64, ppc64le]
            buildorder: 1
        sgabios:
            rationale: qemu-kvm dep
            ref: stream-rhel-rhel-8.6.0
            arches: [x86_64, ppc64le]
            buildorder: 1
        SLOF:
            rationale: qemu-kvm dep
            ref: stream-rhel-rhel-8.6.0
            arches: [ppc64le]
            buildorder: 1
        # libvirt and libvirt specific deps
        libvirt:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            buildorder: 3
        libvirt-python:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            # Build after libvirt
            buildorder: 4
        libvirt-dbus:
            rationale: libvirt-dbus is part of the virtualization module
            ref: stream-rhel-rhel-8.6.0
            # Build after libvirt
            buildorder: 4
        perl-Sys-Virt:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            # Build after libvirt
            buildorder: 4
        netcf:
            rationale: libvirt dep
            ref: stream-rhel-rhel-8.6.0
            buildorder: 1

        # TPM support
        libtpms:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            buildorder: 1
        swtpm:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            buildorder: 2

        # libguestfs, virt-v2v and dependencies
        hivex:
            rationale: libguestfs dep
            ref: stream-rhel-rhel-8.6.0
            # Build before libguestfs.
            buildorder: 1
        supermin:
            rationale: libguestfs dep
            ref: stream-rhel-rhel-8.6.0
            # Build before libguestfs.
            buildorder: 2
        libguestfs:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            buildorder: 4
        libguestfs-winsupport:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            buildorder: 5
        libnbd:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            # Build before nbdkit.
            buildorder: 1
        nbdkit:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            # Build after libguestfs and libnbd.
            buildorder: 5
        virt-v2v:
            rationale: Primary module content
            ref: stream-rhel-rhel-8.6.0
            buildorder: 6
